Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.runtime
Interface DataSpaceLocalRuntimeServiceMBean

All Known Subinterfaces:
  DataSpaceRuntimeServiceMBean

    public interface DataSpaceLocalRuntimeServiceMBean

Supports monitoring and management of the runtime operations of a data space on a managed server.

Field Summary
`static java.lang.String` | `NAME_INFIX`
`static java.lang.String` | `NAME_PREFIX`

Method Summary
`int` | `getNumberOfActiveRequests(java.lang.Boolean sideEffectFree)`
`java.util.Collection<RequestRuntime>` | `getRequestRuntimes()`
`void` | `killRequest(RequestRuntime.DomainWideRequestId domainWideRequestId)` Request to stop the active request with the specified id.

Field Detail

### NAME_PREFIX

    static final java.lang.String NAME_PREFIX

See Also:
  Constant Field Values

### NAME_INFIX

    static final java.lang.String NAME_INFIX

Method Detail

### getNumberOfActiveRequests

    int getNumberOfActiveRequests(java.lang.Boolean sideEffectFree)

  Parameters:
    `sideEffectFree` - if `Boolean.TRUE` this method returns only side-effect-free requests; if `Boolean.FALSE` this method returns only side-effecting requests if `null` this method returns all requests
  Returns:
    The number of active client requests of the specified kind.

### getRequestRuntimes

    java.util.Collection<RequestRuntime> getRequestRuntimes()

  Returns:
    A collection of instances providing information on each active request.

### killRequest

    void killRequest(RequestRuntime.DomainWideRequestId domainWideRequestId)

  Request to stop the active request with the specified id.

  Parameters:
    `domainWideRequestId` - The request id.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.